using CMSMicroservice.Application.UserWalletHistoryCQ.Queries.GetAllUserWalletHistoryByFilter;
using CMSMicroservice.Application.UserWalletHistoryCQ.Queries.GetUserWalletHistory;

namespace CMSMicroservice.Application.Common.Mappings;

public class UserWalletHistoryProfile : IRegister
{
    void IRegister.Register(TypeAdapterConfig config)
    {
        config.NewConfig<UserWalletHistory,GetAllUserWalletHistoryByFilterResponseModel>()
            .Map(dest => dest.CreatedAt, src => src.Created);

        config.NewConfig<UserWalletHistory, GetUserWalletHistoryResponseDto>()
            .Map(dest => dest.CreatedAt, src => src.Created);
    }
}
